Bug 191475 - [iOS] WebKit should handle shift state changes when using the software keyboard
Summary: [iOS] WebKit should handle shift state changes when using the software keyboard
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Local Build
Hardware: iPhone / iPad iOS 12
: P2 Normal
Assignee: Daniel Bates
URL: https://unixpapa.com/js/testkey.html
Keywords: InRadar
Depends on:
Blocks: 190571 190565
  Show dependency treegraph
 
Reported: 2018-11-09 10:56 PST by Daniel Bates
Modified: 2019-01-22 13:15 PST (History)
6 users (show)

See Also:


Attachments
Patch (14.98 KB, patch)
2018-12-18 16:04 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.43 MB, application/zip)
2018-12-18 18:06 PST, Build Bot
no flags Details
Patch (14.42 KB, patch)
2019-01-04 16:52 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.44 MB, application/zip)
2019-01-04 18:47 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2018-11-09 10:56:13 PST
Tapping the shift key on the software keyboard should dispatch DOM key events. Double tapping the shift key on the software keyboard to toggle caps locks should show the caps locks indicator if the currently focused element is a password field.
Comment 1 Daniel Bates 2018-11-09 11:00:13 PST
You can observe this issue by performing the following:

1. Visit <https://unixpapa.com/js/testkey.html>.
2. Check the modifiers checkbox.
3. Focus the text field.
4. Tap the shift key on the software keyboard.

Nothing happens. But we should have seen a keydown and keyup event for the shift key.

Similarly, nothing happens if you enable caps lock or disable caps lock by double tapping the shift key.
Comment 2 Radar WebKit Bug Importer 2018-11-09 11:01:36 PST
<rdar://problem/45949246>
Comment 3 Daniel Bates 2018-12-18 16:04:09 PST
Created attachment 357627 [details]
Patch

It is not possible to write a test for this change with our current infrastructure without mocking more of the software keyboard or performing user interface testing. I am open to ideas.
Comment 4 Build Bot 2018-12-18 18:06:54 PST
Comment on attachment 357627 [details]
Patch

Attachment 357627 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10466513

New failing tests:
imported/w3c/web-platform-tests/webrtc/simplecall-no-ssrcs.https.html
Comment 5 Build Bot 2018-12-18 18:06:56 PST
Created attachment 357644 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 6 Brent Fulgham 2019-01-04 12:57:37 PST
Comment on attachment 357644 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

This EWS failure is not related to this patch. I've seen it happen on other patches as well.
Comment 7 Daniel Bates 2019-01-04 16:52:30 PST
Created attachment 358396 [details]
Patch
Comment 8 Build Bot 2019-01-04 18:47:24 PST
Comment on attachment 358396 [details]
Patch

Attachment 358396 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10635430

New failing tests:
imported/w3c/web-platform-tests/webrtc/simplecall.https.html
Comment 9 Build Bot 2019-01-04 18:47:26 PST
Created attachment 358418 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 10 Daniel Bates 2019-01-22 13:15:43 PST
Comment on attachment 358396 [details]
Patch

Clearing flags on attachment: 358396

Committed r240288: <https://trac.webkit.org/changeset/240288>
Comment 11 Daniel Bates 2019-01-22 13:15:44 PST
All reviewed patches have been landed.  Closing bug.